UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
com.latencybusters.lbm.sdm.LBMSDMRawInt64 Class Reference

An LBMSDMRawInt64 is a helper class to minimise the effort of formatting and parsing 64 bit integers. More...

Inheritance diagram for com.latencybusters.lbm.sdm.LBMSDMRawInt64:

## Public Member Functions
| LBMSDMRawInt64 ()
| Create a raw int64 field, defaulting to 0.
| LBMSDMRawInt64 (long v)
| Create a raw int64 field providing the value as a long. More...
virtual void | set (long v)
| Set a raw int64 field providing the value as a long. More...
virtual int | format (byte[] buf, int offset)
| Format the raw int64 value into a byte buffer. More...
override System.String | ToString ()
| Get a string version of an int64. More...
virtual int | parse (byte[] buf, int offset)
| Parse the raw int64 value from a byte buffer in to the object. More...
virtual long | toLong ()
| Get the long representation of the int64. More...
virtual System.String | toDbgString ()
| Get a debug string for this object. This is not expected to be called and exists for child classes. More...
virtual void | set_debug_level (int level)
| Set the debug level for processing this SDM message. Currently all debugs go to standard out. More...
virtual void | log (System.String s)
| Log an event. If debug level is set greater than 0, output to stderr. More...
System.Object | Clone ()
| Get a copy of this object. More...

## Static Public Member Functions
static int | format (byte[] buf, int offset, long v)
| Format an int64 value into a byte buffer. More...
static long | parse_s (byte[] buf, int offset)
| Parse the raw int64 value from a byte buffer. More...

## Public Attributes
const int | DEBUG_BASIC = 1
| Debug flag for basic debug output.
const int | DEBUG_VERBOSE_PARSING = 2
| Debug flag for verbose message parsing output.

## Static Public Attributes
static int | length = 8
| The number of bytes needed to store a raw LBMSDMRawInt64.

## Detailed Description

An LBMSDMRawInt64 is a helper class to minimise the effort of formatting and parsing 64 bit integers.

## Constructor & Destructor Documentation

com.latencybusters.lbm.sdm.LBMSDMRawInt64.LBMSDMRawInt64 | ( | long | v | ) |

Create a raw int64 field providing the value as a long.

Parameters

  v | A long value to seed the raw field with

## Member Function Documentation

System.Object com.latencybusters.lbm.sdm.LBMSDM.Clone | ( |  | ) |
| inherited

Get a copy of this object.

Returns
  A new object with a copy

static int com.latencybusters.lbm.sdm.LBMSDMRawInt64.format | ( | byte[] | buf,
|  | int | offset,
|  | long | v
| ) |  |
| static

Format an int64 value into a byte buffer.

Parameters

  buf | The buffer to contain the formatted value
  offset | The offset in to the buffer to start formatting
  v | The value of the int64 to be formatted as a long

Returns
  The offset after formatting a long

Referenced by com.latencybusters.lbm.sdm.LBMSDMRawDecimal.format(), com.latencybusters.lbm.sdm.LBMSDMFieldInt64.format(), and com.latencybusters.lbm.sdm.LBMSDMArrayInt64.format().

virtual int com.latencybusters.lbm.sdm.LBMSDMRawInt64.format | ( | byte[] | buf,
|  | int | offset
| ) |  |
| virtual

Format the raw int64 value into a byte buffer.

Parameters

  buf | The buffer to contain the formatted value
  offset | The offset in to the buffer to start formatting

Returns
  The offset after formatting this object

virtual void com.latencybusters.lbm.sdm.LBMSDM.log | ( | System.String | s | ) |
| virtual inherited

Log an event. If debug level is set greater than 0, output to stderr.

Parameters

  s | String containing the event to log

virtual int com.latencybusters.lbm.sdm.LBMSDMRawInt64.parse | ( | byte[] | buf,
|  | int | offset
| ) |  |
| virtual

Parse the raw int64 value from a byte buffer in to the object.

Parameters

  buf | The buffer that contains the formatted value
  offset | The offset in to the buffer to start parsing

Returns
  the new offset after parsing the field

Referenced by com.latencybusters.lbm.sdm.LBMSDMRawDecimal.parse().

static long com.latencybusters.lbm.sdm.LBMSDMRawInt64.parse_s | ( | byte[] | buf,
|  | int | offset
| ) |  |
| static

Parse the raw int64 value from a byte buffer.

Parameters

  buf | The buffer that contains the formatted value
  offset | The offset in to the buffer to start parsing

Returns
  The int64 value parsed as a long

Referenced by com.latencybusters.lbm.sdm.LBMSDMFieldInt64.parse().

virtual void com.latencybusters.lbm.sdm.LBMSDMRawInt64.set | ( | long | v | ) |
| virtual

Set a raw int64 field providing the value as a long.

Parameters

  v | The long this raw object is to use

virtual void com.latencybusters.lbm.sdm.LBMSDM.set_debug_level | ( | int | level | ) |
| virtual inherited

Set the debug level for processing this SDM message. Currently all debugs go to standard out.

Parameters

  level | Debug level to set

virtual System.String com.latencybusters.lbm.sdm.LBMSDMRaw.toDbgString | ( |  | ) |
| virtual inherited

Get a debug string for this object. This is not expected to be called and exists for child classes.

Returns
  returns null - derived classes override with their value

Referenced by com.latencybusters.lbm.sdm.LBMSDMBadRawObjectException.LBMSDMBadRawObjectException().

virtual long com.latencybusters.lbm.sdm.LBMSDMRawInt64.toLong | ( |  | ) |
| virtual

Get the long representation of the int64.

Returns
  A long with the value of the object

Referenced by com.latencybusters.lbm.sdm.LBMSDMRawDecimal.parse().

override System.String com.latencybusters.lbm.sdm.LBMSDMRawInt64.ToString | ( |  | ) |

Get a string version of an int64.

Returns
  A string representation of the int64

The documentation for this class was generated from the following file:

- LBMSDMRawInt64.cs